=== test/automated/flymake/warnpred/Makefile ===
# Makefile for flymake tests

CC_OPTS = -Wall

check-syntax:
	$(CC) $(CC_OPTS) ${CHK_SOURCES}

# eof
