=== debian/changelog ===
emacs24 (24.5+1-8ubuntu2) zesty; urgency=medium

  * d/p/0024-Emacs-should-no-longer-hang-when-loading-TRAMP.patch: Backport
    patch from the emacs-25 branch to turn off address randomisation on
    ppc64el, to fix build failure (& would-be failure loading some files at
    runtime too)

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 10 Feb 2017 12:54:23 +0000

emacs24 (24.5+1-8ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/rules: Make sure the emacs24-el directory exists.
    - emacsVER-lp725988.patch: Set the X EMACS_CLASS to "Emacs24" to
      please bamf and gnome-shell.
    - debian/emacsVER.desktop: Also set StartupWMClass for bamf and
      gnome-shell.
    - debian/control.in: Have emacs24-common Depends on
      emacs24-common-non-dfsg, now that it is out of multiverse.
      Update debian/copyright to match.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Jan 2017 15:03:13 +0100

emacs24 (24.5+1-8) unstable; urgency=medium

  * Configure with REL_ALLOC=no to fix crashes.  Thanks to Santiago
    Vila for reporting the problem, and Sean Whitton for helping test
    the fix. (Closes: 849775)

  * Backport upstream fix for TRAMP hang on startup.  Thanks to Sean
    Whitton for tracking down, backporting and testing the
    fix. (Closes: 810640)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 22 Jan 2017 14:32:37 -0600

emacs24 (24.5+1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable building with PIE which is now the default (Closes: #837421)
  * Add Breaks: oneliner-el (<= 0.3.6-7.1) (Closes: #754892)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 18 Dec 2016 16:07:54 +0100

emacs24 (24.5+1-7ubuntu2) zesty; urgency=medium

  * Rebuild against new imagemagick 6.9.7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jan 2017 13:17:02 +0100

emacs24 (24.5+1-7ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/rules: Make sure the emacs24-el directory exists.
    - emacsVER-lp725988.patch: Set the X EMACS_CLASS to "Emacs24" to
      please bamf and gnome-shell.
    - debian/emacsVER.desktop: Also set StartupWMClass for bamf and
      gnome-shell.
    - debian/control.in: Have emacs24-common Depends on
      emacs24-common-non-dfsg, now that it is out of multiverse.
      Update debian/copyright to match.
    - Add -no-pie on amd64, ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Sep 2016 12:44:25 +0200

emacs24 (24.5+1-7) unstable; urgency=medium

  * debian/control: make Source-Version source:Version.  Thanks to
    Guillem Jover for reporting the problem. (Closes: 833215)

  * Restore GTK+ toolbar icons.
    Add 0020-Emacs-should-show-GTK-icons-again.patch to include the relevant
    upstream code.  Thanks to Juerg Haefliger for reporting the problem and
    pointing out the relevant upstream commit. (Closes: 828000)

  * Fix malloc handling with newer gcc (>= 5.2).
    Add 0021-Emacs-should-work-with-gcc-5.2-and-newer.patch to incorporate
    the relevant upstream code.  Thanks to Aurelien Jarno for reporting the
    problem and backporting the fix.

  * Support glibc 2.24.
    Add 0022-Emacs-should-work-with-glibc-2.24-on-ppc64.patch to incorporate
    the relevant upstream code. Thanks to Aurelien Jarno for reporting the
    problem and backporting the fix. (Closes: 833727)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 05 Sep 2016 15:05:00 -0500

emacs24 (24.5+1-6ubuntu3) yakkety; urgency=medium

  * Add -no-pie on amd64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Apr 2016 15:29:54 +0200

emacs24 (24.5+1-6ubuntu2) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:04:03 +0000
