=== debian/control ===
Source: emacs24
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
Build-Depends: bsd-mailx | mailx, libncurses5-dev, texinfo, liblockfile-dev, librsvg2-dev,
 libgif-dev | libungif4-dev,
 libtiff-dev,
 xaw3dg-dev,
 libpng-dev, libjpeg-dev, libm17n-dev, libotf-dev,
 libgpm-dev [linux-any], libdbus-1-dev,
 autoconf, automake, autotools-dev, dpkg-dev (>> 1.10.0), quilt (>= 0.42),
 debhelper (>= 9), libxaw7-dev, sharutils, imagemagick, libgtk-3-dev,
 libgnutls28-dev, libxml2-dev, libselinux1-dev [linux-any], libmagick++-dev,
 libgconf2-dev, libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
 libacl1-dev,
 zlib1g-dev
Homepage: http://www.gnu.org/software/emacs/
Standards-Version: 3.7.2

Package: emacs24-lucid
Architecture: any
Depends: emacs24-bin-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: emacs24, emacsen, editor, info-browser, mail-reader, news-reader
Conflicts: emacs24, emacs24-nox
Replaces: emacs24, emacs24-nox
Description: GNU Emacs editor (with Lucid GUI support)
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains a version of Emacs with support for a graphical user
 interface based on the Lucid toolkit (instead of the GTK+ interface
 provided by the emacs24 package).  Until some known GTK+
 problems are fixed, this version may help avoid crashing Emacs during
 an emacsclient disconnect.  See
 https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=567934 and
 https://bugzilla.gnome.org/show_bug.cgi?id=85715 for more
 information.

Package: emacs24-lucid-dbg
Section: debug
Priority: extra
Architecture: any
Depends: emacs24-lucid-dbg (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for emacs24-lucid
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains the debugging symbols for the emacs24-lucid
 package.

Package: emacs24-nox
Architecture: any
Depends: emacs24-bin-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: emacs24, editor, emacsen, info-browser, mail-reader, news-reader
Conflicts: emacs24, emacs24-lucid
Replaces: emacs24, emacs24-lucid
Description: GNU Emacs editor (without GUI support)
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains a version of Emacs compiled without support for X,
 and provides only a text terminal interface.

Package: emacs24-nox-dbg
Section: debug
Priority: extra
Architecture: any
Depends: emacs24-nox-dbg (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for emacs24-nox
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains the debugging symbols for the emacs24-nox
 package.

Package: emacs24
Architecture: any
Depends: emacs24-bin-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: editor, emacsen, info-browser, mail-reader, news-reader
Conflicts: emacs24-lucid, emacs24-nox
Replaces: emacs24-lucid, emacs24-nox
Description: GNU Emacs editor (with GTK+ GUI support)
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains a version of Emacs with a graphical user interface
 based on GTK+ (instead of the Lucid toolkit provided by the
 emacs24-lucid package).

Package: emacs24-dbg
Section: debug
Priority: extra
Architecture: any
Depends: emacs24-dbg (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for emacs24
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains the debugging symbols for the emacs24 package.

Package: emacs24-bin-common
Architecture: any
Depends: emacs24-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GNU Emacs editor's shared, architecture dependent files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the architecture dependent infrastructure
 that's shared by emacs24, emacs24-lucid, and emacs24-nox.

Package: emacs24-common
Architecture: all
Depends: emacsen-common (>= 2.0.8), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}, emacs24-common-non-dfsg
Recommends: emacs24-el
Suggests: emacs24-el, ncurses-term
Conflicts: emacs24-el (<< ${source:Version}), cedet, eieio, speedbar, gnus-bonus-el
Breaks: apel (<< 10.8+0.20120427-4),
        oneliner-el (<= 0.3.6-7.1)
Description: GNU Emacs editor's shared, architecture independent infrastructure
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the architecture independent infrastructure
 that's shared by emacs24, emacs24-lucid, and emacs24-nox.

Package: emacs24-el
Architecture: all
Depends: emacs24-common (= ${source:Version}), ${misc:Depends}
Description: GNU Emacs LISP (.el) files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the elisp sources for the convenience of users,
 saving space in the main package for small systems.
